Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.transformer
Class SerializerSwitcher

    java.lang.Object
      |
      +--weblogic.apache.xalan.transformer.SerializerSwitcher

public class SerializerSwitcher
extends java.lang.Object

This is a helper class that decides if Xalan needs to switch serializers, based on the first output element.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Constructor Summary
`SerializerSwitcher()`

Method Summary
`static Serializer` | `switchSerializerIfHTML(java.lang.String ns, java.lang.String localName, java.util.Properties props, Serializer oldSerializer)` Switch to HTML serializer if element is HTML
`static void` | `switchSerializerIfHTML(TransformerImpl transformer, java.lang.String ns, java.lang.String localName)` Switch to HTML serializer if element is HTML

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerializerSwitcher

    public SerializerSwitcher()

Method Detail

### switchSerializerIfHTML

    public static void switchSerializerIfHTML(TransformerImpl transformer,
                                              java.lang.String ns,
                                              java.lang.String localName)
                                       throws javax.xml.transform.TransformerException

  Switch to HTML serializer if element is HTML

  Parameters:
    `transformer` - Non-null transformer instance
    `ns` - Namespace URI of the element
    `localName` - Local part of name of element
  Throws:
    javax.xml.transform.TransformerException -

### switchSerializerIfHTML

    public static Serializer switchSerializerIfHTML(java.lang.String ns,
                                                    java.lang.String localName,
                                                    java.util.Properties props,
                                                    Serializer oldSerializer)
                                             throws javax.xml.transform.TransformerException

  Switch to HTML serializer if element is HTML

  Parameters:
    `ns` - Namespace URI of the element
    `localName` - Local part of name of element
  Returns:
    new contentHandler.
  Throws:
    javax.xml.transform.TransformerException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference